/*
 * Ben NanoNote GPIO declarations.
 *
 * Copyright (C) 2017 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __NANONOTE_GPIO_H__
#define __NANONOTE_GPIO_H__

#include "nanonote.h"

#ifndef __ASSEMBLER__

#include <stdint.h>

extern const uint8_t GPIO_KEYIN_ROW[GPIO_KEYIN_COUNT];
extern const uint8_t GPIO_KEYOUT_COL[GPIO_KEYOUT_COUNT];

#endif /* __ASSEMBLER__ */

#endif /* __NANONOTE_GPIO_H__ */
